## linux-restricted-modules-oracle-5.0 5.0.0-1013.18

=== debian/changelog ===
linux-restricted-modules-oracle-5.0 (5.0.0-1013.18) bionic; urgency=medium

  * Master version: 5.0.0-1013.18

 -- Kelsey Skunberg <kelsey.skunberg@canonical.com>  Mon, 02 Mar 2020 09:54:43 -0700

linux-restricted-modules-oracle-5.0 (5.0.0-1012.17) bionic; urgency=medium

  * Master version: 5.0.0-1012.17

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 19 Feb 2020 11:11:46 +0100

linux-restricted-modules-oracle-5.0 (5.0.0-1011.16+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 18 Feb 2020 13:03:34 +0100

linux-restricted-modules-oracle-5.0 (5.0.0-1011.16) bionic; urgency=medium

  * Master version: 5.0.0-1011.16

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Thu, 30 Jan 2020 15:16:01 -0300

linux-restricted-modules-oracle-5.0 (5.0.0-1010.15~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1010.15~18.04.1

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Mon, 13 Jan 2020 10:44:25 -0800

linux-restricted-modules-oracle-5.0 (5.0.0-1009.14~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1009.14~18.04.1

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Wed, 04 Dec 2019 16:22:24 -0800

linux-restricted-modules-oracle-5.0 (5.0.0-1008.13~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1008.13~18.04.1

  * Miscellaneous Ubuntu changes
    - debian/scripts/dkms-build -- update from master

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 18 Nov 2019 01:02:50 -0500

linux-restricted-modules-oracle-5.0 (5.0.0-1007.12~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1007.12~18.04.1

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Mon, 11 Nov 2019 12:21:28 -0300

linux-restricted-modules-oracle-5.0 (5.0.0-1007.11~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1007.11~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 07 Nov 2019 11:54:05 +0100

linux-restricted-modules-oracle-5.0 (5.0.0-1006.10~18.04.2) bionic; urgency=medium

  * Master version: 5.0.0-1006.10~18.04.2

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 01 Nov 2019 11:48:17 +0100

linux-restricted-modules-oracle-5.0 (5.0.0-1006.10~18.04.1) bionic; urgency=medium

  * Master version: 5.0.0-1006.10~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 23 Oct 2019 15:06:08 +0200

linux-restricted-modules-oracle-5.0 (5.0.0-0.0) bionic; urgency=medium

  * Initial Revision.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 10 Oct 2019 15:52:11 +0200
