## linux-restricted-modules-oracle-5.0 5.0.0-1014.19

=== debian/changelog ===
linux-restricted-modules-oracle-5.0 (5.0.0-1014.19) bionic; urgency=medium

  * Master version: 5.0.0-1014.19

 -- Khalid Elmously <khalid.elmously@canonical.com>  Tue, 17 Mar 2020 00:15:06 -0400
