=== debian/control ===
Source: linux-restricted-modules-oracle-5.0
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 wget,
 gawk,
 linux-headers-5.0.0-1014-oracle (>= 5.0.0-1014.19),
 linux-buildinfo-5.0.0-1014-oracle (>= 5.0.0-1014.19),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-restricted-modules-oracle/+git/bionic -b oracle-5.0

Package: linux-modules-nvidia-390-oracle
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-390-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-390-5.0.0-1014-oracle (= ${binary:Version})
Description: Extra drivers for nvidia-390 for oracle
 Install extra signed nvidia-390 modules compatible with oracle

Package: linux-modules-nvidia-418-oracle
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Provides: ${dkms:nvidia-418-modules}
Depends: ${misc:Depends}, linux-modules-nvidia-418-5.0.0-1014-oracle (= ${binary:Version})
Description: Extra drivers for nvidia-418 for oracle
 Install extra signed nvidia-418 modules compatible with oracle.

Package: linux-modules-nvidia-390-5.0.0-1014-oracle
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.0.0-1014-oracle | linux-image-unsigned-5.0.0-1014-oracle, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for oracle version 5.0.0-1014
 This package contains the Linux kernel nvidia modules for the oracle flavour version 5.0.0-1014.
 .
 You likely do not want to install this package directly. Instead, install one
 of the linux-modules-nvidia-390-oracle* meta-package(s), which will ensure that
 upgrades work correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-418-5.0.0-1014-oracle
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.0.0-1014-oracle | linux-image-unsigned-5.0.0-1014-oracle, nvidia-kernel-common-418
Description: Linux kernel nvidia modules for oracle version 5.0.0-1014
 This package contains the Linux kernel nvidia modules for oracle version 5.0.0-1014.
 .
 You likely do not want to install this package directly. Instead, install one
 of the linux-modules-nvidia-418-oracle* meta-package(s), which will ensure that
 upgrades work correctly, and that supporting packages are also installed.
